Show / Hide Table of Contents

# Struct ImDrawCmdHeaderPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImDrawCmdHeaderPtr

### Constructors

| Improve this Doc View Source

#### ImDrawCmdHeaderPtr(ImDrawCmdHeader*)

##### Declaration

    public ImDrawCmdHeaderPtr(ImDrawCmdHeader*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawCmdHeader* | nativePtr |

| Improve this Doc View Source

#### ImDrawCmdHeaderPtr(IntPtr)

##### Declaration

    public ImDrawCmdHeaderPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### ClipRect

##### Declaration

    public Vector4 ClipRect { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImDrawCmdHeader*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImDrawCmdHeader* |

| Improve this Doc View Source

#### TextureId

##### Declaration

    public IntPtr TextureId { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### VtxOffset

##### Declaration

    public uint VtxOffset { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

### Operators

| Improve this Doc View Source

#### Implicit(ImDrawCmdHeader* to ImDrawCmdHeaderPtr)

##### Declaration

    public static implicit operator ImDrawCmdHeaderPtr(ImDrawCmdHeader*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawCmdHeader* | nativePtr |

##### Returns

Type | Description
--- | ---
ImDrawCmdHeaderPtr |

| Improve this Doc View Source

#### Implicit(ImDrawCmdHeaderPtr to ImDrawCmdHeader*)

##### Declaration

    public static implicit operator ImDrawCmdHeader*(ImDrawCmdHeaderPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawCmdHeaderPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImDrawCmdHeader* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImDrawCmdHeaderPtr)

##### Declaration

    public static implicit operator ImDrawCmdHeaderPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImDrawCmdHeaderPtr |